namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 学分规则(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_CreditRuleController : BaseController<IGhre_CreditRuleServices, Ghre_CreditRule, Ghre_CreditRuleDto, InsertGhre_CreditRuleInput, EditGhre_CreditRuleInput>
{
    public Ghre_CreditRuleController(IGhre_CreditRuleServices service) : base(service)
    {
    }
}